"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.dump = exports.points = exports.value = exports.valueMeta = exports.difference = void 0;
const difference = (points) => {
    if (!points[0] || !points[1]) {
        return 'n/a';
    }
    return Number(points[0].value) - Number(points[1].value);
};
exports.difference = difference;
const valueMeta = (points) => {
    return points.map(point => point.value + ' ' + point.meta).join('|');
};
exports.valueMeta = valueMeta;
const value = (params) => {
    return (points) => {
        const args = params.args;
        if (!points) {
            return '-';
        }
        if (!args || !args[0]) {
            return points.map(point => point.value).join('|');
        }
        const from = args[0];
        const targetItems = args[1];
        const targetPoints = points.filter((point) => {
            if (from === 'row' || from === 'column') {
                return targetItems.indexOf(point[from]) > -1;
            }
            else {
                return (point.tags.find((tag) => tag.categoryId === Number(from)
                    && targetItems.indexOf(tag.value) > -1));
            }
        });
        if (targetPoints) {
            return targetPoints.map((targetPoint) => targetPoint.value).join('|');
        }
        else {
            return '';
        }
    };
};
exports.value = value;
const points = (points) => {
    // console.dir(points, {depth:10})
    if (points.length) {
        return points.map(point => {
            if (point.value) {
                return point.value;
            }
            else {
                return '-';
            }
        }).join('/');
    }
    return 'n/a';
};
exports.points = points;
const dump = (points) => {
    console.dir(points, { depth: 10 });
    return points[0].value;
};
exports.dump = dump;
//# sourceMappingURL=cell.js.map