import { PrismaClient } from './client';
import { Query } from './query';
import { Store } from './store';
import { Parser } from './parser/parser';
import { Gesstabs } from './parser/gesstabs';
import { DataPoint, DataGrid, DataGridCategories, DataPointFilter, DataPointModifier, DataResultCellFilter, DataTag } from './types';
import { ParserOptions, RawResultInfo, StoreOptions, Tagger } from './types';
import { getNestedClause, getTagGroupsByCategory } from './helper';
declare const getData: (selector: DataTag[] | DataTag[][], grid: any, prisma?: PrismaClient<import("../prisma/client").Prisma.PrismaClientOptions, never, import("../prisma/client").Prisma.RejectOnNotFound | import("../prisma/client").Prisma.RejectPerOperation | undefined> | undefined) => Promise<Query>;
declare const getDataObject: (selector: number[][], grid: any, prisma: any) => Promise<Query>;
declare const cell: {
    value: (params: any) => (points: DataPoint[]) => import("./types").ResultCell;
    valueMeta: (points: DataPoint[]) => import("./types").ResultCell;
    difference: (points: DataPoint[]) => import("./types").ResultCell;
    points: (points: DataPoint[]) => import("./types").ResultCell;
    dump: (points: DataPoint[]) => import("./types").ResultCell;
};
declare const filter: {
    all: (section: string) => DataGridCategories;
    filterByDataTag: import("./types").DataGridFunction;
    filterBy: import("./types").DataGridFunction;
};
declare const sort: {
    byColId: (colId: number) => (a: import("./types").ResultRow, b: import("./types").ResultRow) => number;
};
export type { ParserOptions, RawResultInfo, StoreOptions, Tagger };
export type { DataPoint, DataGrid, DataGridCategories, DataPointFilter, DataPointModifier, DataResultCellFilter };
export { Query, Parser, Gesstabs, Store, filter, cell, sort, getData, getDataObject };
export { getNestedClause, getTagGroupsByCategory };
