"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getTagGroupsByCategory = exports.getNestedClause = exports.getDataObject = exports.getData = exports.sort = exports.cell = exports.filter = exports.Store = exports.Gesstabs = exports.Parser = exports.Query = void 0;
const client_1 = require("./client");
const query_1 = require("./query");
Object.defineProperty(exports, "Query", { enumerable: true, get: function () { return query_1.Query; } });
const store_1 = require("./store");
Object.defineProperty(exports, "Store", { enumerable: true, get: function () { return store_1.Store; } });
const parser_1 = require("./parser/parser");
Object.defineProperty(exports, "Parser", { enumerable: true, get: function () { return parser_1.Parser; } });
const gesstabs_1 = require("./parser/gesstabs");
Object.defineProperty(exports, "Gesstabs", { enumerable: true, get: function () { return gesstabs_1.Gesstabs; } });
const filter_1 = require("./filter");
const cell_1 = require("./cell");
const sort_1 = require("./sort");
const helper_1 = require("./helper");
Object.defineProperty(exports, "getNestedClause", { enumerable: true, get: function () { return helper_1.getNestedClause; } });
Object.defineProperty(exports, "getTagGroupsByCategory", { enumerable: true, get: function () { return helper_1.getTagGroupsByCategory; } });
const getData = (selector, grid, prisma) => __awaiter(void 0, void 0, void 0, function* () {
    if (!prisma) {
        prisma = new client_1.PrismaClient();
    }
    const query = new query_1.Query(prisma);
    query.setGrid(grid);
    yield query.get(selector);
    const result = query.merge();
    yield query.prisma.$disconnect();
    return result;
});
exports.getData = getData;
const getDataObject = (selector, grid, prisma) => __awaiter(void 0, void 0, void 0, function* () {
    const query = new query_1.Query(prisma).setGrid(grid);
    yield query.getByIds(selector);
    if (query.points.length > 0) {
        yield query.merge();
    }
    return query;
});
exports.getDataObject = getDataObject;
const cell = {
    value: cell_1.value, valueMeta: cell_1.valueMeta, difference: cell_1.difference, points: cell_1.points, dump: cell_1.dump
};
exports.cell = cell;
const filter = {
    all: filter_1.all, filterByDataTag: filter_1.filterByDataTag, filterBy: filter_1.filterBy
};
exports.filter = filter;
const sort = {
    byColId: sort_1.byColId
};
exports.sort = sort;
//# sourceMappingURL=index.js.map