import { PrismaClient, Tag } from './client';
import { Datasheet, DataTag, Sheets, DataGrid, DataPoint, Result, CellKeys, DataPointFilter, DataPointModifier } from './types';
import { ChartData } from 'pptx-automizer/dist/types/chart-types';
import { TableData } from 'pptx-automizer/dist/types/table-types';
export declare class Query {
    prisma: PrismaClient;
    clause: any;
    sheets: Datasheet[];
    allSheets: Datasheet[];
    keys: CellKeys;
    points: DataPoint[];
    grid: DataGrid;
    result: Result;
    tags: any[];
    constructor(prisma: PrismaClient);
    setGrid(grid: DataGrid): this;
    get(tags: DataTag[] | DataTag[][]): Promise<Query>;
    getByIds(allTagIds: number[][]): Promise<Query>;
    processSheets(sheets: Sheets, level: number): void;
    getTagInfo(tagIds: number[]): Promise<Tag[]>;
    getSheets(tagStrings: DataTag[]): Promise<Sheets>;
    getSheetsByTags(tags: Tag[]): Promise<Sheets>;
    getSheetsById(ids: number[]): Promise<Sheets>;
    findSheets(tags: Tag[]): Promise<Sheets>;
    parseSheets(sheets: Sheets): void;
    setDataPoints(dataPoints: DataPoint[]): DataPoint[];
    getDataPointMeta(meta: any, r: number, c: number): null;
    modifyDataPoints(dataPoints: DataPoint[], level: number): void;
    getDatapointModifiersByLevel(level: number): DataPointModifier[];
    pushDataPoints(dataPoints: DataPoint[]): void;
    setDataPointKeys(): void;
    addKey(category: string, value: string): void;
    merge(): this;
    clone(): this;
    checkForCallback(cb: any, keys: CellKeys): DataPointFilter[];
    getTagIds(tags: DataTag[]): Promise<number[]>;
    getTags(tags: DataTag[]): Promise<DataTag[]>;
    setCategoryId(tag: DataTag): Promise<void>;
    setTagId(tag: DataTag): Promise<void>;
    setResult(result: any): void;
    filterColumns(columns: number | number[]): Query;
    sort(cb: any): Query;
    toSeriesCategories(): ChartData;
    toVerticalLines(): ChartData;
    toLabels(): TableData;
    toRowLabels(): TableData;
    toColumnLabels(): TableData;
    toTable(): TableData;
}
