import { Category, PrismaClient, Sheet, Tag } from './client';
import { Query } from './query';
import { Datasheet, DataTag, StoreOptions, StoreSummary } from './types';
export declare class Store {
    prisma: PrismaClient;
    summary: StoreSummary;
    options: StoreOptions | undefined;
    query: Query;
    categories: Category[];
    tags: Tag[];
    importId: number;
    constructor(prisma: PrismaClient, options?: StoreOptions);
    run(datasheets: Datasheet[]): Promise<StoreSummary>;
    getImport(): Promise<void>;
    getCategories(): Promise<void>;
    createCategory(name: string): Promise<Category>;
    getTags(): Promise<void>;
    createTag(name: string, catId: number): Promise<Tag>;
    storeData(datasheet: Datasheet): Promise<void>;
    addCategoryIdToTags(tags: DataTag[]): Promise<void>;
    addTagIdsToTags(tags: DataTag[]): Promise<void>;
    createSheet(datasheet: Datasheet): Promise<Sheet>;
    deleteExistingDatasheets(tags: DataTag[]): Promise<void>;
}
