"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const graphql_tag_1 = __importDefault(require("graphql-tag"));
const vue_1 = require("vue");
const apollo_composable_1 = require("@vue/apollo-composable");
const component_1 = require("components/component");
class Data extends component_1.Component {
    constructor() {
        super({});
        this.empty = {
            id: null,
            slides: []
        };
        this.current = vue_1.ref(this.empty);
    }
    import() {
        const { mutate: importData, loading, error, onDone } = apollo_composable_1.useMutation(graphql_tag_1.default `
      mutation importData($name: String) {
        importData(name: $name) {
          file
          countSheets
        }
      }
    `, {
            refetchQueries: ['allTags']
        });
        return { importData, loading, onDone };
    }
}
exports.default = Data;
//# sourceMappingURL=data.js.map