"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.renderPoints = exports.dump = exports.value = exports.valueMeta = void 0;
const valueMeta = (params) => {
    const targetMetaTag = (params.args && params.args.mode)
        ? params.args.mode : 'base';
    return (points) => {
        return points.map(point => {
            var _a;
            return (_a = point
                .meta) === null || _a === void 0 ? void 0 : _a.filter(meta => meta.key === targetMetaTag).map(meta => meta === null || meta === void 0 ? void 0 : meta.value);
        })
            .join('|');
    };
};
exports.valueMeta = valueMeta;
const value = (params) => {
    return (points) => {
        const args = params.args;
        if (!args || !args.mode) {
            return points;
        }
        const from = args.mode;
        const targetItems = (args.targetItems) ? args.targetItems : [];
        const targetPoints = points.filter((point) => targetItems.indexOf(point[from]) > -1);
        return targetPoints;
    };
};
exports.value = value;
const dump = (points) => {
    console.dir(points, { depth: 10 });
    return points[0].value;
};
exports.dump = dump;
const renderPoints = (points) => {
    return points.map(point => point.value).join('|');
};
exports.renderPoints = renderPoints;
//# sourceMappingURL=cell.js.map