import { DataPoint, ResultCell, ResultRow, ResultColumn, Result } from '../types';
export declare type RowCallback = {
    (row: ResultRow, r: number): void;
};
export declare type ColumnCallback = {
    (col: ResultColumn, c: number, row: ResultRow): void;
};
export declare type ValueCallback = {
    (points: DataPoint[], c: number, r: number, col: ResultColumn): void;
};
export declare type DataPointCallback = {
    (point: DataPoint, c: number, r: number, id: number): void;
};
export declare type Input = {
    body: ResultRow[];
};
export default class TransformResult {
    result: Result;
    constructor(result: Result);
    forEachRow(cb: RowCallback): this;
    forEachColumn(row: ResultRow | number, cb: ColumnCallback): this;
    forEachValue(cb: ValueCallback): this;
    forEachDataPoint(cb: DataPointCallback): this;
    getRow(row: ResultRow | number): ResultRow;
    getDataPoints(col: ResultColumn): DataPoint[];
    getDataPoint(col: ResultColumn, id?: number): DataPoint;
    insertColumn(key: string, atIndex: number): this;
    createColumn(rowKey: string, colKey: string, value?: ResultCell, points?: DataPoint[]): ResultColumn;
    createRow(rowKey: string, columns: ResultColumn[]): ResultRow;
    dropColumn(atIndex: number): this;
    dropRow(atIndex: number): this;
    createDataPoint(rowKey?: string, colKey?: string, value?: ResultCell): DataPoint;
    sliceRows(start: number, end?: number): void;
    sliceColumns(row: ResultRow, start: number, end?: number): ResultColumn[];
    pushMeta(point: DataPoint, meta: any): void;
    setPointStyle(point: DataPoint, style: any): void;
    dump(verbose?: boolean): this;
}
