"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Import = void 0;
class Import {
    constructor(prisma) {
        this.prisma = prisma;
    }
    run(datasheets) {
        return __awaiter(this, void 0, void 0, function* () {
            for (let i in datasheets) {
                yield this.readData(datasheets[i]);
            }
        });
    }
    readData(datasheet) {
        return __awaiter(this, void 0, void 0, function* () {
            for (let i in datasheet.tags) {
                let cat = yield this.prisma.category.findFirst({
                    where: {
                        name: datasheet.tags[i].category,
                    }
                });
                if (cat && cat.id) {
                    datasheet.tags[i].categoryId = cat.id;
                }
                else {
                    let newCat = yield this.prisma.category.create({
                        data: {
                            name: datasheet.tags[i].category,
                        }
                    });
                    datasheet.tags[i].categoryId = newCat.id;
                }
            }
            for (let i in datasheet.tags) {
                let tag = yield this.prisma.tag.findFirst({
                    where: {
                        categoryId: datasheet.tags[i].categoryId,
                        name: datasheet.tags[i].value
                    },
                });
                if (!tag) {
                    let newTag = yield this.prisma.tag.create({
                        data: {
                            name: datasheet.tags[i].value,
                            categoryId: datasheet.tags[i].categoryId,
                        }
                    });
                    datasheet.tags[i].id = newTag.id;
                }
                else {
                    datasheet.tags[i].id = tag.id;
                }
            }
            let newSheet = yield this.prisma.sheet.create({
                data: {
                    columns: JSON.stringify(datasheet.columns),
                    rows: JSON.stringify(datasheet.rows),
                    data: JSON.stringify(datasheet.data),
                    meta: JSON.stringify(datasheet.meta),
                    tags: {
                        connect: datasheet.tags.map(tag => {
                            return { id: tag.id };
                        })
                    }
                }
            });
            datasheet.id = newSheet.id;
            console.log(datasheet);
        });
    }
}
exports.Import = Import;
//# sourceMappingURL=import.js.map