import { PrismaClient } from './client';
import Query from './query';
import Points from './points';
import Result from './result';
import { Store } from './store';
import { Parser } from './parser/parser';
import { Gesstabs } from './parser/gesstabs';
import { Generic } from './parser/generic';
import { getNestedClause, getTagGroupsByCategory } from './helper';
import { QueryOptions, DataGrid, DataGridCategories, DataPointFilter, DataResultCellFilter, DataGridTransformation, DataPoint, DataPointModifier, DataTag, ModArgsCustom, ModArgsAddMeta, ModArgsAddPointInfo, ModArgsAddToOthers, ModArgsFilter, ModArgsFilterNested, ModArgsExclude, ModArgsMap, ModArgsRename, ModArgsStringTolabel, ModArgsTagTolabel, ModArgsTranspose, ModArgsAddToNew, ModArgsCalcDifference, ModArgsCalcSum, ResultColumn, ResultRow, ResultCell, DataPointMeta } from './types';
import { ParserOptions, RawResultInfo, StoreOptions, Tagger } from './types';
import { ModifierCommandArgument, DataPointSortation, Selector } from './types';
declare const getData: (selector: DataTag[] | DataTag[][], grid: any, prisma?: PrismaClient) => Promise<Result>;
declare const getResult: (selector: number[][], grid: any, prisma: PrismaClient, options?: QueryOptions) => Promise<Result>;
declare const cell: {
    value: (params: any) => (points: DataPoint[]) => DataPoint[] | ResultCell;
    valueMeta: (params: any) => (points: DataPoint[]) => ResultCell;
    dump: (points: DataPoint[]) => ResultCell;
};
declare const filter: {
    all: (section: string) => DataGridCategories;
    filterByDataTag: import("./types").DataGridFunction;
    filterBy: import("./types").DataGridFunction;
};
declare const sort: {
    byColId: (colId: number) => (a: ResultRow, b: ResultRow) => number;
};
export type { ParserOptions, RawResultInfo, StoreOptions, Tagger };
export type { ResultColumn, ResultRow, ResultCell };
export type { DataGrid, DataGridCategories, DataPointFilter, DataPointMeta, DataResultCellFilter, DataGridTransformation };
export type { ModifierCommandArgument, DataPointSortation, DataPoint, DataPointModifier, ModArgsCustom, ModArgsAddMeta, ModArgsAddPointInfo, ModArgsAddToOthers, ModArgsFilter, ModArgsFilterNested, ModArgsExclude, ModArgsMap, ModArgsRename, ModArgsStringTolabel, ModArgsTagTolabel, ModArgsTranspose, ModArgsAddToNew, ModArgsCalcDifference, ModArgsCalcSum, Selector };
export { Query, Parser, Gesstabs, Generic, Store, filter, cell, sort, getData, getResult };
export { Points, Result };
export { getNestedClause, getTagGroupsByCategory };
export { PrismaClient };
