"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PrismaClient = exports.getTagGroupsByCategory = exports.getNestedClause = exports.Result = exports.Points = exports.getResult = exports.getData = exports.sort = exports.cell = exports.filter = exports.Store = exports.Generic = exports.Gesstabs = exports.Parser = exports.Query = void 0;
const client_1 = require("./client");
Object.defineProperty(exports, "PrismaClient", { enumerable: true, get: function () { return client_1.PrismaClient; } });
const query_1 = __importDefault(require("./query"));
exports.Query = query_1.default;
const points_1 = __importDefault(require("./points"));
exports.Points = points_1.default;
const result_1 = __importDefault(require("./result"));
exports.Result = result_1.default;
const store_1 = require("./store");
Object.defineProperty(exports, "Store", { enumerable: true, get: function () { return store_1.Store; } });
const parser_1 = require("./parser/parser");
Object.defineProperty(exports, "Parser", { enumerable: true, get: function () { return parser_1.Parser; } });
const gesstabs_1 = require("./parser/gesstabs");
Object.defineProperty(exports, "Gesstabs", { enumerable: true, get: function () { return gesstabs_1.Gesstabs; } });
const generic_1 = require("./parser/generic");
Object.defineProperty(exports, "Generic", { enumerable: true, get: function () { return generic_1.Generic; } });
const filter_1 = require("./filter");
const cell_1 = require("./cell");
const sort_1 = require("./sort");
const helper_1 = require("./helper");
Object.defineProperty(exports, "getNestedClause", { enumerable: true, get: function () { return helper_1.getNestedClause; } });
Object.defineProperty(exports, "getTagGroupsByCategory", { enumerable: true, get: function () { return helper_1.getTagGroupsByCategory; } });
const getData = (selector, grid, prisma) => __awaiter(void 0, void 0, void 0, function* () {
    if (!prisma) {
        prisma = new client_1.PrismaClient();
    }
    const query = new query_1.default(prisma);
    query.setGrid(grid);
    yield query.get(selector);
    if (query.points.length > 0) {
        yield query.merge();
    }
    return new result_1.default(query);
});
exports.getData = getData;
const getResult = (selector, grid, prisma, options) => __awaiter(void 0, void 0, void 0, function* () {
    const query = new query_1.default(prisma)
        .setGrid(grid)
        .setOptions(options);
    yield query.getByIds(selector);
    if (query.points.length > 0) {
        yield query.merge();
    }
    return new result_1.default(query);
});
exports.getResult = getResult;
const cell = {
    value: cell_1.value, valueMeta: cell_1.valueMeta, dump: cell_1.dump
};
exports.cell = cell;
const filter = {
    all: filter_1.all, filterByDataTag: filter_1.filterByDataTag, filterBy: filter_1.filterBy
};
exports.filter = filter;
const sort = {
    byColId: sort_1.byColId
};
exports.sort = sort;
//# sourceMappingURL=index.js.map