import { RawResultData, DataTag, RawColumnSlice, ParserOptions, RawTable, RawRow, StoreSummary } from "./types";
import { Store } from "./store";
export declare class Parser {
    results: RawResultData[];
    config: ParserOptions;
    currentSection: string;
    count: number;
    datasheets: any[];
    constructor(config: ParserOptions);
    storeCsvFile(file: string, store: Store): void;
    storeXlsxFile(file: string, store: Store): Promise<StoreSummary>;
    parseSections(config: any, data: RawRow): void;
    parseMeta(data: RawRow, firstCell: string): boolean;
    setDatasheets(): void;
    getTag(category: string, value: string): DataTag;
    parseColumnSlices(header: RawRow[]): RawColumnSlice[];
    sliceColumns(table: RawResultData, subgroupHeaders: RawRow[], slices: RawColumnSlice[]): RawTable[];
}
