import { AggregatePoints, DataPoint, DataPointTarget, ModArgsAddToNew, ModArgsCalcDifference, ModArgsCalcSum, ModArgsExclude, ModArgsFilterNested, RenameLabel } from './types';
import { ModArgsFilter, ModArgsStringTolabel, ModArgsTagTolabel, ModArgsAddToOthers, ModArgsAddMeta, ModArgsMap, ModArgsRename, ModArgsTranspose } from './types';
export default class Points {
    points: DataPoint[];
    constructor(points: DataPoint[]);
    targetPoints(points?: DataPoint[]): DataPoint[];
    filter(args: ModArgsFilter): DataPoint[];
    getTargetPoint(point: DataPoint, origin?: boolean): DataPoint;
    filterNested(args: ModArgsFilterNested): void;
    filterMetaByNested(cb: any): void;
    exclude(args: ModArgsExclude): void;
    addStringToLabel(args: ModArgsStringTolabel, points?: DataPoint[]): void;
    addTagToLabel(args: ModArgsTagTolabel, points?: DataPoint[]): void;
    addToOthers(args: ModArgsAddToOthers, points: DataPoint[]): DataPoint[];
    addToNew(args: ModArgsAddToNew, points: DataPoint[]): void;
    addMeta(args: ModArgsAddMeta, points?: DataPoint[]): void;
    addPointInfo(args: ModArgsAddMeta): void;
    pushUnique(points: DataPoint[], point: DataPoint): void;
    map(args: ModArgsMap, points?: DataPoint[]): void;
    transpose(args: ModArgsTranspose, points?: DataPoint[]): void;
    calcDifference(args: ModArgsCalcDifference, points?: DataPoint[]): void;
    calcSum(args: ModArgsCalcSum, points?: DataPoint[]): void;
    pushToStack(existing: AggregatePoints | undefined, sumPoint: DataPoint, sumStacks: AggregatePoints[], alias: string, key: string): void;
    pushToPoints(sumStack: AggregatePoints, match: DataPointTarget, alias: string, points: DataPoint[]): void;
    rename(args: ModArgsRename, points?: DataPoint[]): void;
    getRenameTargets(rename: RenameLabel): DataPointTarget[];
    applyRenameLabel(targets: DataPointTarget[], rename: RenameLabel, point: DataPoint): void;
    replace(replaceBy: DataPoint[]): void;
    push(addPoints: DataPoint[]): void;
    pushPointOrigin(point: DataPoint): void;
    dump(points?: DataPoint[]): void;
}
