import { CellKeys, Datasheet, MetaParam, QueryResultKeys, Result as ResultType, ResultCell, ResultColumn, ResultRow } from './types';
import { ChartData, ChartSeries, ChartValueStyle, TableData, TextStyle } from 'pptx-automizer';
import Query from './query';
export default class Result {
    result: ResultType;
    inputKeys: CellKeys;
    keys: CellKeys;
    visibleKeys: {
        row: string[];
        column: string[];
    };
    allSheets: Datasheet[];
    tags: any[];
    metaParams: MetaParam;
    constructor(query: Query);
    setMetaParams(params: any): void;
    getSeries: () => ChartSeries[];
    toSeriesCategories(): ChartData;
    toVerticalLines(): ChartData;
    toCombo(): ChartData;
    toScatter(): ChartData;
    toBubbles(): ChartData;
    toLabels(): TableData;
    toRowLabels(): TableData;
    toColumnLabels(): TableData;
    toTableBody(): TableData;
    toTable(params?: any): TableData;
    toNumber(column: ResultColumn): any;
    renderCellValue(column: ResultColumn): ResultCell;
    formatPointKeys(keys: any): QueryResultKeys;
    applyStyleCallback<T>(row: ResultRow): T[] | TextStyle[] | ChartValueStyle[];
    parseValueStyle(cols: ResultColumn[]): (TextStyle | ChartValueStyle)[];
}
